select
  (case tiponota when 'S' then 'Receita'  when 'E' then 'Despesa' else null end) as tipo
  , nt.dtemissao as data_emissao
  , mo.dtvencimento as data_vencimento
  , mo.dtpagamento as pagamento_recebimento
  , tp.nome as tipo_recebimento_pagamento
  , mo.dtcompensacao  as data_compensacao
  , cc.descricao as conta_corrente
  , nt.numdocumento as numero_documento
  , pes.nome as fornecedor_cliente
  , nt.valor as valor_total_nota
  , cast(nt.acrescimodesconto as decimal(15,3)) as desconto_acrescimo
  ,(nt.valor + coalesce(nt.acrescimodesconto, 0)) as valor_total_com_acrescimo_desconto
  , mo.valor as valor_parcela
  ,CAST(((coalesce(mo.vrpago, mo.valor)*(cast(ni.vrtotal as double precision) / nt.valor))*(coalesce(nia.percentual,100)))/100 AS decimal(15,2)) as valor_apropriado
  , cg.numero as num_conta_gerencial
  , cg.descricao as nome_conta_gerencial
  , coalesce(ccs.numero, '') as sigla_centrocusto
  , coalesce(ccs.descricao, pat.descricao) as centrocusto_patrimonio
  , sa.descricao as safra
  , pr.nome as produto
  , nt.complemento as complemento
  , nt.observacao as observacao
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  join contacorrente cc on cc.cdcontacorrente = mo.cdcontacorrente
  left join tipopagamentorecebimento tp on tp.cdtipopagamentorecebimento = mo.cdtipopagamentorecebimento
  join notaitem ni on ni.cdnota = nt.cdnota
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial
  join produto pr on pr.cdproduto = ni.cdproduto
  left join notaitemapro nia on nia.cdnotaitem = ni.cdnotaitem
  left join centrocusto ccs on ccs.cdcentrocusto = nia.cdcentrocusto
  left join patrimonio pat on pat.cdpatrimonio = ni.cdpatrimonio
  left join safra sa on sa.cdsafra = nia.cdsafra
where
  nt.tiponota in ('S', 'E')
  and nt.valor <> 0
  and nt.cdnota in (select cdnota from movimento)
  --and mo.dtvencimento between '2000-01-01' and '2017-12-31'
  and mo.dtpagamento between '2000-01-01' and '2017-12-31'
  --and mo.dtcompensacao between '2000-01-01' and '2017-12-31'
order by
  mo.dtvencimento